MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032417Open CASCADE[OCCT] OCCT:Codingpublic2021-06-03 14:062021-06-13 11:57
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 5.2.2 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032417: Coding Rules - clean up public headers gp_Mat.hxx/ gp_Mat2d.hxx from internal macros
Descriptiongp_Mat.hxx/ gp_Mat2d.hxx headers define auxiliary macros for more compact definition of matrix operations:
#define Mat00 matrix[0][0]
#define Mat01 matrix[0][1]
...


It is proposed reconsidering implementation to avoid using macros when possible.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0032137verifiedbugmaster Coding Rules - merge redundant .lxx files into header files within Package gp 

-  Notes
(0101595)
mkrylova (developer)
2021-06-03 18:48

Solution evaluation
(0101600)
git (administrator)
2021-06-04 11:50

Branch CR32417 has been created by mkrylova.

SHA-1: d0b97473bdb5799fd56fe0d60dd93eeaefffab21


Detailed log of new commits:

Author: mkrylova
Date: Fri Jun 4 11:13:47 2021 +0300

    0032417: Coding Rules - clean up public headers gp_Mat.hxx/ gp_Mat2d.hxx from internal macros
    
    - deleted internal macros
(0101610)
mkrylova (developer)
2021-06-04 16:56

http://jenkins-test-occt.nnov.opencascade.com/view/CR32417-CR32417-MKRYLOVA/view/ALL/ [^]
(0101611)
mkrylova (developer)
2021-06-04 16:56

Patches are ready to review:
  - OCCT: CR32417
  - OCCT Products: CR32417
(0101612)
mkrylova (developer)
2021-06-04 17:21

Testing
(0101674)
git (administrator)
2021-06-07 19:46

Branch CR32417_1 has been created by kgv.

SHA-1: 9e7594b8fc4076913e785c66e9b3e763cd55d393


Detailed log of new commits:

Author: mkrylova
Date: Fri Jun 4 11:13:47 2021 +0300

    0032417: Coding Rules - clean up public headers gp_Mat.hxx/ gp_Mat2d.hxx from internal macros
    
    Deleted internal macros.
(0101675)
git (administrator)
2021-06-07 19:48

Branch CR32417_1 has been updated forcibly by kgv.

SHA-1: 22013bc6bc60c9e00a517aff917e112e8fd73118
(0101679)
kgv (developer)
2021-06-08 08:54

Please raise the patch
- OCCT: branch CR32417_1;
- OCC Products: none.
(0101807)
bugmaster (administrator)
2021-06-13 11:12

Combination -
OCCT branch : IR-2021-06-11
master SHA - f9ab9f7f1c949c9da13f42443208a6e9b0e41d70
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-06-11 SHA - d56d13cc84edf3d8321cc5373683872ec5a9fe74
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17450.34000000035 / 17504.380000000427 [-0.31%]
Products
Total CPU difference: 11477.360000000128 / 11532.860000000106 [-0.48%]
Windows-64-VC14:
OCCT
Total CPU difference: 19191.5625 / 19141.46875 [+0.26%]
Products
Total CPU difference: 12904.59375 / 12831.25 [+0.57%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0101814)
git (administrator)
2021-06-13 11:56

Branch CR32417 has been deleted by mnt.

SHA-1: d0b97473bdb5799fd56fe0d60dd93eeaefffab21
(0101815)
git (administrator)
2021-06-13 11:56

Branch CR32417_1 has been deleted by mnt.

SHA-1: 22013bc6bc60c9e00a517aff917e112e8fd73118

- Related Changesets
occt: master 623e54f9
Timestamp: 2021-06-04 08:13:47
Author: mkrylova
Committer: bugmaster
Details ] Diff ]
0032417: Coding Rules - clean up public headers gp_Mat.hxx/ gp_Mat2d.hxx from internal macros

Deleted internal macros.
mod - src/gp/gp_Mat.cxx Diff ] File ]
mod - src/gp/gp_Mat.hxx Diff ] File ]
mod - src/gp/gp_Mat2d.cxx Diff ] File ]
mod - src/gp/gp_Mat2d.hxx Diff ] File ]
mod - src/gp/gp_XY.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-06-03 14:06 kgv New Issue
2021-06-03 14:06 kgv Assigned To => mkrylova
2021-06-03 14:06 kgv Relationship added related to 0032137
2021-06-03 14:07 kgv Status new => assigned
2021-06-03 14:07 kgv Product Version 7.5.0 => 5.2.2
2021-06-03 18:48 mkrylova Note Added: 0101595
2021-06-04 11:50 git Note Added: 0101600
2021-06-04 16:56 mkrylova Note Added: 0101610
2021-06-04 16:56 mkrylova Note Added: 0101611
2021-06-04 16:56 mkrylova Assigned To mkrylova => kgv
2021-06-04 16:56 mkrylova Status assigned => resolved
2021-06-04 17:21 mkrylova Note Added: 0101612
2021-06-07 19:46 git Note Added: 0101674
2021-06-07 19:48 git Note Added: 0101675
2021-06-08 08:54 kgv Note Added: 0101679
2021-06-08 08:54 kgv Assigned To kgv => bugmaster
2021-06-08 08:54 kgv Status resolved => reviewed
2021-06-13 11:12 bugmaster Note Added: 0101807
2021-06-13 11:12 bugmaster Status reviewed => tested
2021-06-13 11:28 bugmaster Test case number => Not required
2021-06-13 11:41 bugmaster Changeset attached => occt master 623e54f9
2021-06-13 11:41 bugmaster Status tested => verified
2021-06-13 11:41 bugmaster Resolution open => fixed
2021-06-13 11:56 git Note Added: 0101814
2021-06-13 11:56 git Note Added: 0101815


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker